
void html_table (
    eight_dim (* oper) (
        eight_dim const &, eight_dim const &, eight_dim const &
    )
) {
    cout << noshowpos;
    
    cout << "\n<p align=center><table border cellpadding=5>";

    eight_dim ed_A {
        complex {},complex {},complex {},complex {},
        complex {},complex {},complex {},complex {},
    };
    eight_dim ed_B {ed_A};
    eight_dim ed_C {ed_A};
    
    for (int lp_a {0}; lp_a < 8; ++lp_a) {
        ed_A.at(lp_a) = complex {1.0};

        cout << "\n\n<tr align=center><td>&nbsp;";
        for (int lp_c {0}; lp_c < 8; ++lp_c) {
            cout << "\n<td bgcolor=\"DDFFDD\">&hellip; &times; ";
            cout << "<i>U</i><sub>" << lp_c << "</sub>";
        }

    for (int lp_b {0}; lp_b < 8; ++lp_b) {
        ed_B.at(lp_b) = complex {1.0};

        cout << "\n\n<tr align=center>";
        cout << "\n<td bgcolor=\"FFDDDD\">";
        cout << "<i>U</i><sub>" << lp_a << "</sub>";
        cout << " &times; ";
        cout << "<i>U</i><sub>" << lp_b << "</sub>";
        cout << " &times; &hellip;";

    for (int lp_c {0}; lp_c < 8; ++lp_c) {
        ed_C.at(lp_c) = complex {1.0};

        eight_dim const ed_D {(* oper)(ed_A, ed_B, ed_C)};
        chunk const ch_D {ed_D.as_unit()};
        cout << "\n<td>" << ch_D.html_U ();

        ed_C.at(lp_c) = complex {0.0};
    }
        ed_B.at(lp_b) = complex {0.0};
    }
        ed_A.at(lp_a) = complex {0.0};
    }

    cout << "\n</table>";

}